[arch-commits] Commit in thunderbird/repos (3 files)

Ionut Biru ibiru at archlinux.org
Mon Dec 14 17:21:18 EST 2009


    Date: Monday, December 14, 2009 @ 17:21:17
  Author: ibiru
Revision: 61269

Merged revisions 61268 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/thunderbird/trunk

........
  r61268 | ibiru | 2009-12-15 00:19:03 +0200 (Tue, 15 Dec 2009) | 2 lines
  
  upgpkg: thunderbird 3.0-2
      added calendar support
........

Modified:
  thunderbird/repos/extra-i686/	(properties)
  thunderbird/repos/extra-i686/PKGBUILD
  thunderbird/repos/extra-i686/mozconfig

-----------+
 PKGBUILD  |   13 +++++--------
 mozconfig |   10 ++++++++++
 2 files changed, 15 insertions(+), 8 deletions(-)


Property changes on: thunderbird/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /thunderbird/trunk:1-61035
   + /thunderbird/trunk:1-61268

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-12-14 22:19:03 UTC (rev 61268)
+++ extra-i686/PKGBUILD	2009-12-14 22:21:17 UTC (rev 61269)
@@ -4,7 +4,7 @@
 # Contributor: Anders Bostrom <anders.bostrom at home.se>
 pkgname=thunderbird
 pkgver=3.0
-pkgrel=1
+pkgrel=2
 pkgdesc="Standalone Mail/News reader"
 arch=('i686' 'x86_64')
 license=('MPL' 'GPL')
@@ -12,7 +12,7 @@
 provides=('mozilla-thunderbird')
 conflicts=('mozilla-thunderbird')
 replaces=('mozilla-thunderbird')
-depends=('gtk2>=2.18.4' 'gcc-libs>=4.4' 'libidl2>=0.8.13' 'mozilla-common' 'nss>=3.12.3' 'libxt' 'shared-mime-info'
+depends=('gtk2>=2.18.5' 'gcc-libs>=4.4' 'libidl2>=0.8.13' 'mozilla-common' 'nss>=3.12.3' 'libxt' 'shared-mime-info'
 	 'alsa-lib>=1.0.21.a' 'dbus-glib>=0.82')
 makedepends=('zip' 'pkgconfig' 'imagemagick>=6.5.3.10-1' 'libgnomeui')
 options=('!makeflags')
@@ -22,7 +22,7 @@
         thunderbird-3.0-lang.patch
         thunderbird-appversion.patch
 	thunderbird-shared-error.patch)
-md5sums=('9a564ac2489b1b0f9348dc298b913f6c' '7552d546b9d88331806965100454fa0d'
+md5sums=('9a564ac2489b1b0f9348dc298b913f6c' 'd40ec6182e0c85e4b6f165d451cebbd2'
          'ea4e3c3dee98e3891bef16409551eb6e' '25b6fe16ac24cd5c852213e5c1adb272'
          '69a0134af6466c021a3f515022b7fb67' '3dca714ee8054634e6dfdb059464dc42')
 
@@ -31,17 +31,14 @@
   patch -Np1 -i "${srcdir}/thunderbird-3.0-lang.patch" || return 1
   patch -Np1 -i "${srcdir}/thunderbird-appversion.patch" || return 1
   patch -Np1 -i "${srcdir}/thunderbird-shared-error.patch" || return 1
-  cp "${srcdir}/mozconfig" .mozconfig
 
-  echo "ac_cv_visibility_pragma=no" >> .mozconfig
-
-  export MOZ_PROJECT=mail
+  cp "${srcdir}/mozconfig" .mozconfig
   unset CXXFLAGS
   unset CFLAGS
 
   export LDFLAGS="-Wl,-rpath,/usr/lib/thunderbird-3.0"
 
-  make -f client.mk build || return 1
+  make -f client.mk build MOZ_MAKE_FLAGS="${MAKEFLAGS}" || return 1
   make DESTDIR="${pkgdir}" install || return 1
 
   rm -rf "${pkgdir}/usr/bin/defaults"

Modified: extra-i686/mozconfig
===================================================================
--- extra-i686/mozconfig	2009-12-14 22:19:03 UTC (rev 61268)
+++ extra-i686/mozconfig	2009-12-14 22:21:17 UTC (rev 61269)
@@ -20,5 +20,15 @@
 ac_add_options --enable-system-cairo
 ac_add_options --enable-svg
 ac_add_options --enable-canvas
+ac_add_options --enable-optimize
+ac_add_options --enable-calendar
 ac_add_options --disable-crashreporter
 ac_add_options --prefix=/usr
+
+export BUILD_OFFICIAL=1
+export MOZILLA_OFFICIAL=1
+export USE_SHORT_LIBNAME=1
+mk_add_options BUILD_OFFICIAL=1
+mk_add_options MOZILLA_OFFICIAL=1
+mk_add_options USE_SHORT_LIBNAME=1
+



More information about the arch-commits mailing list